Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.interceptor
Class ModelMBeanAttributeInterceptor

    java.lang.Object
      org.jboss.mx.interceptor.AbstractInterceptor
          org.jboss.mx.interceptor.ModelMBeanAttributeInterceptor

All Implemented Interfaces:
  Interceptor, ModelMBeanConstants

public class ModelMBeanAttributeInterceptor
extends AbstractInterceptor
implements ModelMBeanConstants

This interceptor handles the ModelMBean attribute caching and setter and getter dispatches.

Version:
  $Revision: 1.14 $
Author:
  Juha Lindfors., Scott.Stark@jboss.org, Dimitris Andreadis.

Field Summary

Fields inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`isShared, name`

Fields inherited from interface org.jboss.mx.modelmbean.ModelMBeanConstants
`ACTION, ACTION_INFO, ALL_DESCRIPTORS, ATTRIBUTE_DESCRIPTOR, ATTRIBUTE_VALUE, CACHE_ALWAYS, CACHE_ALWAYS_LIMIT, CACHE_NEVER, CACHE_NEVER_LIMIT, CACHED_VALUE, CLASS, CONSTRUCTOR_DESCRIPTOR, CURRENCY_TIME_LIMIT, DEFAULT, DELEGATING_PM_OPERATION_DEFAULT_VALUE, DELEGATING_PM_OPERATION_DESCRIPTOR, DELEGATING_PM_SERVICE_DEFAULT_VALUE, DELEGATING_PM_SERVICE_DESCRIPTOR, DESCRIPTOR_TYPE, DISPLAY_NAME, EXPORT, GENERIC_MODELMBEAN_NOTIFICATION, GET_METHOD, HIGH_VISIBILITY, INFO, INTERCEPTORS, IS_IS, IS_READABLE, IS_WRITABLE, LAST_RETURNED_TIME_STAMP, LAST_UPDATED_TIME_STAMP, LAST_UPDATED_TIME_STAMP2, LOG, LOG_FILE, LOW_VISIBILITY, MBEAN_DESCRIPTOR, MBEAN_INFO_INJECTION_TYPE, MBEAN_SERVER_INJECTION_TYPE, MESSAGE_ID, MINIMAL_VISIBILITY, NAME, NORMAL_VISIBILITY, NOTIFICATION_DESCRIPTOR, OBJECT_NAME, OBJECT_NAME_INJECTION_TYPE, OBJECT_REF, OPERATION_DESCRIPTOR, PERSIST_INFO, PERSIST_LOCATION, PERSIST_NAME, PERSIST_PERIOD, PERSIST_POLICIES, PERSIST_POLICY, PERSISTENCE_MANAGER, PP_ALWAYS, PP_NEVER, PP_NO_MORE_OFTEN_THAN, PP_ON_TIMER, PP_ON_UPDATE, PRESENTATION_STRING, PROTOCOL_MAP, RESOURCE_CLASS, ROLE, ROLE_CONSTRUCTOR, ROLE_GETTER, ROLE_OPERATION, ROLE_SETTER, SET_METHOD, SEVERITY, SEVERITY_CRITICAL, SEVERITY_MAJOR, SEVERITY_MINOR, SEVERITY_NON_RECOVERABLE, SEVERITY_NORMAL, SEVERITY_UNKNOWN, SEVERITY_WARNING, TARGET_OBJECT, TARGET_TYPE, VISIBILITY`

Constructor Summary
`ModelMBeanAttributeInterceptor()`

Method Summary
`protected void` | `checkAssignable(String context, Class clazz, Object value)`
`Object` | `invoke(Invocation invocation)` The default invoke implementation queries the invocation object for the next interceptor in the chain.

Methods inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`destroy, getName, init, isShared, setLogger, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanAttributeInterceptor

    public ModelMBeanAttributeInterceptor()

Method Detail

### invoke

    public Object invoke(Invocation invocation)
                  throws Throwable

  Description copied from class: `AbstractInterceptor`
  The default invoke implementation queries the invocation object for the next interceptor in the chain. If one exists, it is invoked. Otherwise the invocation is dispatched to the target object.

  Concrete implementations should override this method to implement their specific application logic.

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Parameters:
    `invocation` - the invocation object send towards the target resource by the invoker
  Returns:
    return value from the target resource
  Throws:
    `Throwable`
  See Also:
    `Invocation`, `MBeanInvoker`

### checkAssignable

    protected void checkAssignable(String context,
                                   Class clazz,
                                   Object value)
                            throws InvalidAttributeValueException,
                                   ClassNotFoundException

  Throws:
    `InvalidAttributeValueException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.